org.modeshape.jcr.index.local

## Class IndexChangeAdapters.MultiValuedPropertyChangeAdapter<T>

- java.lang.Object
- - org.modeshape.jcr.cache.change.ChangeSetAdapter
  - - org.modeshape.jcr.spi.index.provider.IndexChangeAdapter
    - - org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter<T>
      - - org.modeshape.jcr.index.local.IndexChangeAdapters.PropertyChangeAdapter<T>
        - - org.modeshape.jcr.index.local.IndexChangeAdapters.MultiValuedPropertyChangeAdapter<T>

- All Implemented Interfaces:
    ChangeSetListener
  Enclosing class:
    IndexChangeAdapters

      protected static final class IndexChangeAdapters.MultiValuedPropertyChangeAdapter<T>
      extends IndexChangeAdapters.PropertyChangeAdapter<T>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `ChangeSetAdapter.NodeTypePredicate`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.PropertyChangeAdapter

      `index`

    - ### Fields inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter

      `propertyName, valueFactory`

    - ### Fields inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `context, predicate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexChangeAdapters.MultiValuedPropertyChangeAdapter(ExecutionContext context, ChangeSetAdapter.NodeTypePredicate matcher, String workspaceName, Name propertyName, ValueFactory<T> valueFactory, org.modeshape.jcr.index.local.LocalDuplicateIndex<T> index)`

  - ### Method Summary

    - ### Methods inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.PropertyChangeAdapter

      `addValue, addValues, completeChanges, completeWorkspaceChanges, removeValues, toString`

    - ### Methods inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter

      `addNode, convert, modifyProperties, removeNode`

    - ### Methods inherited from class org.modeshape.jcr.spi.index.provider.IndexChangeAdapter

      `includesWorkspace, index`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `addWorkspace, beginChanges, beginWorkspaceChanges, binaryValueUnused, changeNode, moveNode, notify, removeWorkspace, renameNode, reorderNode, repositoryMetadataChanged, sequenced, sequenceFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexChangeAdapters.MultiValuedPropertyChangeAdapter

          public IndexChangeAdapters.MultiValuedPropertyChangeAdapter(ExecutionContext context,
                                                              ChangeSetAdapter.NodeTypePredicate matcher,
                                                              String workspaceName,
                                                              Name propertyName,
                                                              ValueFactory<T> valueFactory,
                                                              org.modeshape.jcr.index.local.LocalDuplicateIndex<T> index)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.